%define patch_name	kernel-fix-drivers-net

Name: %patch_name
Version: 2005.07.25
Release: alt1.M30.2

Summary: %patch_name - Linux kernel NIC drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Conflicts: kernel-fix-security-owl < 2004.06.20-alt1

# Patches for 2.4.x
%source  3	2.4_03_comx-driver-compile-1.patch			2.4
%source  4	2.4_04_module_license.patch				2.4
%source  5	2.4_05_nsc-ircc-noprobe.patch				2.4

# Patches for 2.6.x
%source 2600	2.6_00_e1000-spinlock.patch				2.6
%source 2601	2.6_01_shaper-driver-lock-fix.patch			2.6
%source 2602	2.6_02_r8169-add-USR-997902-support.patch		2.6
%source 2603	2.6_03_tulip-planex.patch				2.6
%source 2604	2.6_04_forcedeth-mcp51.patch				2.6
%source 2605	2.6_05_forcedeth-poll.patch				2.6
%source 2606	2.6_06_forcedeth-mcp55.patch				2.6
%source 2607	2.6_07_forcedeth-linkspeed.patch			2.6
%source 2608	2.6_08_tulip-fixes-for-uli5261.patch			2.6
%source 2609	2.6_09_sis190-backport.patch				2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel NIC drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed Oct 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1.M30.2
- Added:
  + 2.6_09_sis190-backport.patch: sis190 driver backport from 2.6.13

* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1.M30.1
- Added:
  + 2.6_02_r8169-add-USR-997902-support.patch: r8169: add PCI ID for USR 997902
  + 2.6_03_tulip-planex.patch: tulip: add PCI ID for Planex FNW-3602-TX
  + 2.6_04_forcedeth-mcp51.patch: forcedeth: add MCP51 support
  + 2.6_05_forcedeth-poll.patch: forcedeth: poll for link changes
  + 2.6_06_forcedeth-mcp55.patch: forcedeth: add MCP55 support
  + 2.6_07_forcedeth-linkspeed.patch: forcedeth: always initialize link
    settings in nv_open()
  + 2.6_08_tulip-fixes-for-uli5261.patch: tulip: add workarounds for ULi5261
    chip quirks (#8331)

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Added:
  + 2.6_01_shaper-driver-lock-fix.patch: fix locking in the shaper driver

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_r8169-rx-desc-len.patch
  - 2.6_01_sis900-oops-fix.patch
  - 2.6_02_via-rhine-shutdown-oops-fix.patch
  - 2.6_03_amd8111e-free_irq.patch
  - 2.6_04_tun-underflow-fix.patch
  - 2.6_05_via-rhine-free_irq.patch
  - 2.6_06_hd6457x-rx-panic.patch
  - 2.6_07_irda-usb-badness-and-sysfs.patch
  - 2.6_08_3c59x-d3-fix.patch
- Added:
  + 2.6_00_e1000-spinlock.patch: e1000: fix spinlock bug

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_08_3c59x-d3-fix.patch: 3c59x: only put the device into D3 when we're
    actually using WOL (some devices have trouble with D3 on warm boot)

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_07_irda-usb-badness-and-sysfs.patch: irda-usb: fix "badness" messages
    due to incomplete usb_unlink_urb->usb_kill urb conversion; fix sysfs
    support

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.6:
  + 2.6_03_amd8111e-free_irq.patch: fix missing free_irq in error path
  + 2.6_04_tun-underflow-fix.patch: fix check for underflow
  + 2.6_05_via-rhine-free_irq.patch: fix missing free_irq in error path
  + 2.6_06_hd6457x-rx-panic.patch: fix kernel panic on receive with HD6457x

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Added:
  + 2.6_00_r8169-rx-desc-len.patch: fix receive descriptor length setting in
    r8169
  + 2.6_01_sis900-oops-fix.patch: fix sis900 oops with preempt/SMP
  + 2.6_02_via-rhine-shutdown-oops-fix.patch: fix via-rhine oops on shutdown
    with old chips without WOL support

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1
- Updated for kernel 2.6.10.
- Removed obsolete patches:
  - 2.6_50_ppp-connections-async-fix.patch
  - 2.6_51_ppp-connections-synctty-fix.patch

* Fri Oct 29 2004 Anton Farygin <rider@altlinux.ru> 2004.10.29-alt1
- Added patches for 2.6.9:
    - 2.6_50_ppp-connections-async-fix.patch : terminate connection on hangup
    - 2.6_51_ppp-connections-synctty-fix.patch : terminate connection on hangup

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_12_orinoco_pci-id.patch
   - 2.4_13_via-rhine-mii-fix.patch
   - 2.4_14_e1000-ethtool_gregs-fix.patch
- Added:
   + 2.4_05_nsc-ircc-noprobe.patch: add "noprobe" parameter to nsc-ircc to
     force loading when autodetection does not work (Bug #4770)

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2004.08.16-alt1
- Removed obsolete patches:
  - 2.6_50_eql-check-null.patch
  - 2.6_51_airo-proc-fix.patch

* Wed Jun 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.23-alt1
- Renamed patches with 2.4_/2.6_ prefixes.
- Added:
  + 2.6_50_eql-check-null.patch: add NULL checks to the eql driver
  + 2.6_51_airo-proc-fix.patch: fix airo /proc write breakage
* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt1
- Apply 14_e1000-ethtool_gregs-fix.patch only when kernel-fix-security-owl is
  not applied.

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 13_8139too-new-ids.patch
  - 14_ne2k-pci-new-ids.patch
  - 15_tulip-21041-media.patch
- Added:
  + 13_via-rhine-mii-fix.patch: fix MII phy scanning bug
  + 14_e1000-ethtool_gregs-fix.patch: fix ETHTOOL_GREGS handling in e1000

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 13_8139too-new-ids.patch: more RTL-8139 clone boards
  + 14_ne2k-pci-new-ids.patch: more ne2k-pci clone boards
  + 15_tulip-21041-media.patch: fix up 21041 media selection

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.28-alt1
- Updated for 2.4.25.
- Removed patches:
  - 02_3c59x.upgrade.patch (seems to cause problems with some old cards)
- Updated patches:
  - 03_comx-driver-compile-1
  - 04_module_license.patch
- Removed obsolete patches (merged upstream):
  - 05_sis900-pci_find_device-fix.patch
  - 06_pppoe-oops.patch
  - 07_b44-update.patch
  - 08_sis900-dev_kfree_skb_irq.patch
  - 09_tulip-mcast-fix.patch
  - 10_pppoe-skb-leak.patch
  - 11_pcnet_cs-update.patch
  - 13_tulip_3CSOHO100B-TX.patch
  - 14_tulip-pci-id.patch

* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.02-alt1
- Added:
  + 13_tulip_3CSOHO100B-TX.patch: tulip: add 3com 3CSOHO100B-TX PCI ID
  + 14_tulip-pci-id.patch: tulip: add another PCI ID

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.16-alt1
- Added:
  + 12_orinoco_pci-id.patch: add Prism 3 ID to orinoco_pci.

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 10_pppoe-skb-leak.patch: Do not leak SKB if sock_queue_rcv_skb()
    fails.
  + 11_pcnet_cs-update.patch: fixed duplex selection for DL10019 cards
    in pcnet_cs driver.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 09_tulip-mcast-fix.patch - fix multicast list handling for tulip.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 05_sis900-pci_find_device-fix.patch
  + 06_pppoe-oops.patch
  + 07_b44-update.patch
  + 08_sis900-dev_kfree_skb_irq.patch

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 04_module_license.patch: add missing MODULE_LICENSE

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.09.02-alt1
- removed 01_2.4.21-rc8-netdrvr1.patch

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt4
- spec typos fixed

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt3
- spec improvements: using %%source and %%install_patches macroses
- 3c59x update added

* Mon Jun 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt2
- comx driver compilation fix added

* Tue Jun 17 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt1
- Initial release

